Bug 65932 - FILEOPEN: HTML import crash
Summary: FILEOPEN: HTML import crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.2.0 target:4.1.0 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-19 12:41 UTC by Miklos Vajna
Modified: 2013-07-10 09:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer HTML document. (25.73 KB, text/html)
2013-06-19 12:41 UTC, Miklos Vajna
Details
Screenshot with error message opening in 4042 (74.53 KB, image/png)
2013-06-19 22:47 UTC, m.a.riosv
Details
Screenshot how the file looks opening in 3662 (116.90 KB, image/png)
2013-06-19 22:49 UTC, m.a.riosv
Details
Screenshot: Document Recovery (94.70 KB, image/png)
2013-06-20 03:03 UTC, ign_christian
Details
console + bt with symbols on master sources (15.38 KB, text/plain)
2013-06-20 21:06 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2013-06-19 12:41:50 UTC
Created attachment 81067 [details]
Reproducer HTML document.

The attached file seem to crash our HTML import in latest -4-0 and newer, while this was working on -3-6.
Operating System: Linux (Other)
Version: 4.0.4.2 rc
Comment 1 m.a.riosv 2013-06-19 22:47:49 UTC
Created attachment 81084 [details]
Screenshot with error message opening in 4042

Hi Miklos, same problem with:
Win7x64Ultimate
LibreOffice Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2)
Comment 2 m.a.riosv 2013-06-19 22:49:52 UTC
Created attachment 81085 [details]
Screenshot how the file looks opening in 3662

In 3.6.6.2 open but with errors.
Comment 3 ign_christian 2013-06-20 03:03:39 UTC
Created attachment 81087 [details]
Screenshot: Document Recovery

I'm also experiencing crash that suddenly open document recovery. Tested on LO 4.0.4.2 (Win7 Home Premium 32bit)
Comment 4 Thomas van der Meulen 2013-06-20 14:39:16 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 on Mac osx 10.8.4.
Comment 5 Julien Nabet 2013-06-20 21:06:37 UTC
Created attachment 81136 [details]
console + bt with symbols on master sources

On pc Debian x86-64 with master sources updated today (commit d0db3134653cfc0e3c59e25203728a02865ceead) + brand new LO profile, I reproduced the crash.
I attached the bt.
Comment 7 Commit Notification 2013-07-08 09:14:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1692386695e16082976593bbebbcb4d4c260afad&h=libreoffice-4-0

fdo#65932: sw: remove SwDoc::ShareLayout


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Stahl (CIB) 2013-07-08 10:24:26 UTC
the spurious ~SwIndexReg assert in comment #5
is work-arounded by b3f41543851e9985c6c7ba133c32753c9bc732c1
Comment 9 Commit Notification 2013-07-09 14:13:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=311a80e05c9f712f49e4f3a989abef4dabd5fdbc

fdo#65932 testcase



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-07-10 09:04:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eacf99268af767dd045754e42b24fe99964e8a52&h=libreoffice-4-1-0

fdo#65932: sw: remove SwDoc::ShareLayout


It will be available already in LibreOffice 4.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.